2019-08-23 15:36 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0005737Spring engineGeneralpublic2017-09-01 01:48
Reporterabma 
Assigned ToKloot 
PrioritynormalSeveritycrashReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version103.0 +git 
Target Version104.0Fixed in Version103.0 +git 
Summary0005737: WeaponDef.cpp:566: void WeaponDef::LoadSound(): Assertion `soundData[soundIdx].id == -1' failed.
Descriptionassert fails when starting current ba:test / current spring develop
Steps To Reproducestart spring with ba:test
Additional Informationf=-000001] Loading Weapon Definitions
spring: /home/abma/dev/spring/develop/rts/Sim/Weapons/WeaponDef.cpp:566: void WeaponDef::LoadSound(const LuaTable&, const string&, unsigned int, std::vector<GuiSoundSet::Data>&): Assertion `soundData[soundIdx].id == -1' failed.
[f=-000001] [CrashHandler] Error: Aborted (SIGABRT) in spring 103.0.1-1312-ge88fac04b develop (Debug)
[f=-000001] [CrashHandler] Error: Halted Stacktrace for Spring 103.0.1-1312-ge88fac04b develop (Debug) using libunwind:
[f=-000001] [CrashHandler] Error: [00] /home/abma/dev/spring/develop/rts/System/Platform/Linux/CrashHandler.cpp:833 CrashHandler::HaltedStacktrace(std::__cxx11::basic_string<char, std::char_traits<char>, std::a [...]
[f=-000001] [CrashHandler] Error: [01] /home/abma/dev/spring/develop/rts/System/Platform/Linux/CrashHandler.cpp:939 CrashHandler::HandleSignal(int, siginfo_t*, void*)
[f=-000001] [CrashHandler] Error: [02] /lib/x86_64-linux-gnu/libpthread.so.0(+0x110c0) [0x7f44d7b8c0c0] __restore_rt
[f=-000001] [CrashHandler] Error: [03] /build/glibc-p3Km7c/glibc-2.24/signal/../sysdeps/unix/sysv/linux/raise.c:51 (discriminator 3) __GI_raise
[f=-000001] [CrashHandler] Error: [04] /build/glibc-p3Km7c/glibc-2.24/stdlib/abort.c:91 __GI_abort
[f=-000001] [CrashHandler] Error: [05] /build/glibc-p3Km7c/glibc-2.24/assert/assert.c:92 __assert_fail_base
[f=-000001] [CrashHandler] Error: [06] /lib/x86_64-linux-gnu/libc.so.6(+0x2bee2) [0x7f44d4396ee2] __assert_fail
[f=-000001] [CrashHandler] Error: [07] /home/abma/dev/spring/develop/rts/Sim/Weapons/WeaponDef.cpp:568 WeaponDef::LoadSound(LuaTable const&, std::__cxx11::basic_string<char, std::char_traits<char>, [...]
[f=-000001] [CrashHandler] Error: [08] /home/abma/dev/spring/develop/rts/Sim/Weapons/WeaponDef.cpp:514 (discriminator 4) WeaponDef::ParseWeaponSounds(LuaTable const&)
[f=-000001] [CrashHandler] Error: [09] /home/abma/dev/spring/develop/rts/Sim/Weapons/WeaponDef.cpp:502 WeaponDef::WeaponDef(LuaTable const&, std::__cxx11::basic_string<char, std::char_traits<char>, [...]
[f=-000001] [CrashHandler] Error: [10] /usr/include/c++/6/ext/new_allocator.h:120 void __gnu_cxx::new_allocator<WeaponDef>::construct<WeaponDef, LuaTable const&, std::__cxx11:: [...]
[f=-000001] [CrashHandler] Error: [11] /usr/include/c++/6/bits/alloc_traits.h:475 void std::allocator_traits<std::allocator<WeaponDef> >::construct<WeaponDef, LuaTable const&, [...]
[f=-000001] [CrashHandler] Error: [12] /usr/include/c++/6/bits/vector.tcc:98 void std::vector<WeaponDef, std::allocator<WeaponDef> >::emplace_back<LuaTable const&, std::__ [...]
[f=-000001] [CrashHandler] Error: [13] /home/abma/dev/spring/develop/rts/Sim/Weapons/WeaponDefHandler.cpp:36 CWeaponDefHandler::CWeaponDefHandler(LuaParser*)
[f=-000001] [CrashHandler] Error: [14] /home/abma/dev/spring/develop/rts/Game/Game.cpp:558 (discriminator 3) CGame::PostLoadSimulation()
[f=-000001] [CrashHandler] Error: [15] /home/abma/dev/spring/develop/rts/Game/Game.cpp:413 CGame::LoadGame(std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> [...]
[f=-000001] [CrashHandler] Error: [16] /home/abma/dev/spring/develop/rts/Game/LoadScreen.cpp:184 CLoadScreen::Init()
[f=-000001] [CrashHandler] Error: [17] /home/abma/dev/spring/develop/rts/Game/LoadScreen.cpp:209 (discriminator 2) CLoadScreen::CreateInstance(std::__cxx11::basic_string<char, std::char_traits<char>, std::allo [...]
[f=-000001] [CrashHandler] Error: [18] /home/abma/dev/spring/develop/rts/Game/PreGame.cpp:381 (discriminator 3) CPreGame::UpdateClientNet()
[f=-000001] [CrashHandler] Error: [19] /home/abma/dev/spring/develop/rts/Game/PreGame.cpp:187 CPreGame::Update()
[f=-000001] [CrashHandler] Error: [20] /home/abma/dev/spring/develop/rts/System/SpringApp.cpp:856 (discriminator 2) SpringApp::Update()
[f=-000001] [CrashHandler] Error: [21] /home/abma/dev/spring/develop/rts/System/SpringApp.cpp:887 SpringApp::Run()
[f=-000001] [CrashHandler] Error: [22] /home/abma/dev/spring/develop/rts/System/Main.cpp:43 Run(int, char**)
[f=-000001] [CrashHandler] Error: [23] /home/abma/dev/spring/develop/rts/System/Main.cpp:92 main
[f=-000001] [CrashHandler] Error: [24] /build/glibc-p3Km7c/glibc-2.24/csu/../csu/libc-start.c:325 __libc_start_main
[f=-000001] [CrashHandler] Error: [25] ./spring(_start+0x2a) [0x55bc39467dea] _start
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
[f=-000001] Error: [ErrorMessageBox] errorMsg="Spring has crashed:
Aborted (SIGABRT).
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files
  • txt file icon infolog.txt (20,480 bytes) 2017-09-01 01:03 -
    Debug: [CpuId] ht/smt/cmt detection for AMD is not implemented! Using OS processor number.
    Using writeable configuration source: "/mnt/tmp/home/dev/spring/develop/springsettings.cfg"
    Using additional read-only configuration source: "/home/abma/.config/spring/springsettings.cfg"
    Using additional read-only configuration source: "/home/abma/.spring/springsettings.cfg"
    Available log sections: CregSerializer, VFS, LuaSocket, GroundMoveType, GameServer, FarTextureHandler, CSMFGroundTextures, Texture, Net, ModelRenderContainer, Model, Font, CrashHandler, Piece, Shader, KeyBindings, DecalsDrawerGL4, Sound, DynWater, AutohostInterface, SkyBox, Path, BumpWater, ArchiveScanner, RoamMeshDrawer, OBJParser
    Enabled log sections: 
    Enable or disable log sections using the LogSections configuration key
      or the SPRING_LOG_SECTIONS environment variable (both comma separated).
      Use "none" to disable the default log sections.
    LogOutput initialized.
    ============== <User Config> ==============
      AllowDeferredMapRendering = 1
      AllowDeferredModelRendering = 1
      DebugGL = 1
      DebugGLStacktraces = 1
      Fullscreen = 0
      GroundDetail = 61
      InputTextGeo = 0.26 0.73 0.02 0.028
      LastSelectedMap = Red Comet
      LastSelectedMod = Balanced Annihilation test-7201-59a22de
      LastSelectedScript = Player Only: Testing Sandbox
      LastSelectedSetting = DebugGLStacktraces
      LogClientData = 1
      RotateLogFiles = 1
      ShadowMapSize = 6144
      Shadows = 1
      ShowFPS = 1
      ShowPlayerInfo = 0
      ShowSpeed = 1
      SpringData = /home/abma/dev/spring/develop:/home/abma/dev/spring/develop/cont
      VSync = 3
      WindowPosX = 471
      WindowPosY = 320
      XResolutionWindowed = 1209
      YResolutionWindowed = 730
      snd_volmaster = 8
    ============== </User Config> ==============
    ============== <User System> ==============
      Spring 103.0.1-1312-ge88fac04b develop (Debug)
        Build Environment: boost-106200, GNU libstdc++ version 20170516
         Compiler Version: gcc-6.3.0 20170516
         Operating System: Linux 4.9.0-3-amd64 #1 SMP Debian 4.9.30-2+deb9u3 (2017-08-06) x86_64
         Binary Word Size: 64-bit (native)
         Deque Chunk Size: 128
            Process Clock: std::chrono::high_resolution_clock
       Physical CPU Cores: 8
        Logical CPU Cores: 8
    ============== </User System> ==============
    [good_fpu_init] CPU SSE mask: 1023, flags:
    	SSE 1.0:  1,  SSE 2.0:  1
    	SSE 3.0:  1, SSSE 3.0:  1
    	SSE 4.1:  1,  SSE 4.2:  1
    	SSE 4.0A: 1,  SSE 5.0A: 1
    	using streflop SSE FP-math mode, CPU supports SSE instructions
    [WatchDogInstall] Installed (HangTimeout: 10sec)
    [WatchDog::RegisterThread] registering controls for thread [main]
    [GL::CheckAvailableVideoModes] desktop={1680x1050x24bpp@60Hz} current={1680x1050x24bpp@60Hz}
    	display=1 modes=20 bounds={x=0, y=0, w=1680, h=1050}
    		[ 1] 1680x1050x24bpp@60Hz
    		[ 3] 1440x900x24bpp@60Hz
    [GR::CreateSDLWindow] using 0x anti-aliasing and 24-bit depth-buffer (PF="SDL_PIXELFORMAT_RGB888")
    [GR::LogVersionInfo]
    	SDL version : 2.0.5 (linked) / 2.0.5 (compiled)
    	GL version  : 3.0 Mesa 13.0.6
    	GL vendor   : X.Org
    	GL renderer : Gallium 0.4 on AMD JUNIPER (DRM 2.48.0 / 4.9.0-3-amd64, LLVM 3.9.1)
    	GLSL version: 1.30
    	GLEW version: 2.0.0
    	GPU memory  : 1024MB (total) / 1024MB (available)
    	SDL swap-int: 1
    	
    	ARB shader support        : 1
    	GLSL shader support       : 1
    	FBO extension support     : 1
    	NVX GPU mem-info support  : 1
    	ATI GPU mem-info support  : 1
    	NPOT-texture support      : 1 (1)
    	texture query-LOD support : 1 (1)
    	24-bit Z-buffer support   : 1 (-)
    	primitive-restart support : 1 (1)
    	clip-space control support: 0 (1)
    	frag-depth layout support : 0 (-)
    	
    	max. FBO samples             : 8
    	max. texture size            : 16384
    	max. texture anisotropy level: 16.000000
    	max. vec4 varyings/attributes: 32/16
    	max. draw-buffers            : 8
    	max. rec. indices/vertices   : 3000/3000
    	max. uniform buffer-bindings : 72
    	max. uniform block-size      : 64KB
    	
    	enable ATI-hacks : 0
    	compress MIP-maps: 0
    [GR::ToggleGLDebugOutput] OpenGL debug-message callback enabled (source=DONT_CARE type=DONT_CARE severity=DONT_CARE)
    [VSync::SetInterval] interval=3 (standard)
    [GR::LogDisplayMode] display-mode set to 1209x730x24bpp@60Hz (windowed::decorated)
    [DataDirLocater::Check] Portable Mode!
    Using read-write data directory: /mnt/tmp/home/dev/spring/develop/
    Using read-only data directory: /home/abma/.config/spring/
    Using read-only data directory: /home/abma/.spring/
    Debug: Potentional data directory: /usr/local/share/games/spring/
    Using read-only data directory: /home/abma/dev/spring/develop/cont/
    Scanning: /home/abma/dev/spring/develop/cont/base
    Scanning: /home/abma/.spring/maps
    Scanning: /home/abma/.spring/games
    Scanning: /home/abma/.spring/packages
    Scanning: /home/abma/.config/spring/packages
    Scanning: /mnt/tmp/home/dev/spring/develop/base
    Scanning: /mnt/tmp/home/dev/spring/develop/packages
    [~ScopedOnceTimer][CArchiveScanner::ScanAllDirs] 13ms
    [ThreadPool::SetThreadCount][1] wanted=4 current=1 maximum=8 (init=1)
    [ThreadPool::SetThreadCount][2] workers=3
    [Threading] Main thread CPU affinity mask set: 24 (config is 248)
    [f=-000001] [Sound] Error: [Sound]: AL_INVALID_OPERATION (40964)
    [f=-000001] [Sound] [Sound::UpdateThread][1] cfgMaxSounds=128
    [f=-000001] [Sound] [Sound::InitThread][1]
    [f=-000001] [Sound] [Sound::InitThread][2] opening default device
    [f=-000001] [Sound] Error: [Sound::Init::OpenDefDevice]: AL_INVALID_OPERATION (40964)
    [f=-000001] [Sound] Error: [Sound::Init::CreateContext]: AL_INVALID_OPERATION (40964)
    [f=-000001] [Sound] [Sound::InitThread][3] device=0x7f44a400e960 context=0x7f44a400e2c0
    [f=-000001] [Sound] [Sound::InitThread][4][OpenAL API Info]
    [f=-000001] [Sound]   Vendor:         OpenAL Community
    [f=-000001] [Sound]   Version:        1.1 ALSOFT 1.17.2
    [f=-000001] [Sound]   Renderer:       OpenAL Soft
    [f=-000001] [Sound]   AL Extensions:  AL_EXT_ALAW AL_EXT_BFORMAT AL_EXT_DOUBLE AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_MULAW AL_EXT_MULAW_BFORMAT AL_EXT_MULAW_MCFORMATS AL_EXT_OFFSET AL_EXT_source_distance_model AL_LOKI_quadriphonic AL_SOFT_block_alignment AL_SOFT_buffer_samples AL_SOFT_buffer_sub_data AL_SOFT_deferred_updates AL_SOFT_direct_channels AL_SOFT_loop_points AL_SOFT_MSADPCM AL_SOFT_source_latency AL_SOFT_source_length
    [f=-000001] [Sound]   ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_DEDICATED ALC_EXT_disconnect ALC_EXT_EFX ALC_EXT_thread_local_context ALC_SOFTX_device_clock ALC_SOFT_HRTF ALC_SOFT_loopback ALC_SOFT_pause_device
    [f=-000001] [Sound]   Devices:
    [f=-000001] [Sound]     [Internes Audio Analog Stereo]
    [f=-000001] [Sound]   EFX Enabled: yes
    [f=-000001] [WatchDog::RegisterThread] registering controls for thread [audio]
    [f=-000001] [Sound] [Sound::UpdateThread][2]
    [f=-000001] Joysticks found: 0
    [f=-000001] [~CPoolArchive] name="/home/abma/.spring/packages/f4d49424baf960e015629ca6c5e7b6d6.sdp" numZipFiles=6498 sumInflSize=86103kb sumReadTime=0ms
    [f=-000001] 	file="anims/bar/cursorattack_14.png" indx=8 inflSize=1kb readTime=0ms
    [f=-000001] 	file="anims/bar/cursorattack_15.png" indx=9 inflSize=1kb readTime=0ms
    [f=-000001] 	file="anims/bar/cursorattack_10.png" indx=4 inflSize=1kb readTime=0ms
    [f=-000001] 	file="anims/bar/cursorattack_13.png" indx=7 inflSize=1kb readTime=0ms
    [f=-000001] 	file="anims/bar/cursorattack_11.png" indx=5 inflSize=1kb readTime=0ms
    [f=-000001] 	file="anims/bar/cursorattack_1.png" indx=3 inflSize=1kb readTime=0ms
    [f=-000001] 	file="anims/bar/cursorattack.txt" indx=1 inflSize=0kb readTime=0ms
    [f=-000001] 	file=".gitattributes" indx=0 inflSize=0kb readTime=0ms
    [f=-000001] 	file="anims/bar/cursorattack_0.png" indx=2 inflSize=1kb readTime=0ms
    [f=-000001] 	file="anims/bar/cursorattack_12.png" indx=6 inflSize=1kb readTime=0ms
    [f=-000001] Warning: AI Interface property 'supportsLookup' could not be found.
    [f=-000001] [GR::LogDisplayMode] display-mode set to 1209x730x24bpp@60Hz (windowed::decorated)
    [f=-000001] [CPreGame] server using IP localhost and port 8452
    [f=-000001] [NetProto::InitLocalClient] connecting to local server
    [f=-000001] [VFS] [~CVFSHandler] #archives=1
    [f=-000001] [VFS] [VFSH::DeleteArchives]
    [f=-000001] [VFS] 	archive=/mnt/tmp/home/dev/spring/develop/base/springcontent.sdz (0x55bc855657c0)
    [f=-000001] [PreGame::AddGameSetupArchivesToVFS] using map: Red Comet
    [f=-000001] [ArchiveScanner] GetArchives: Red Comet
    [f=-000001] [ArchiveScanner] GetArchives: f4d49424baf960e015629ca6c5e7b6d6.sdp
    [f=-000001] [ArchiveScanner] /home/abma/.spring/packages/f4d49424baf960e015629ca6c5e7b6d6.sdp checksum: -802846258/3492121038
    [f=-000001] [ArchiveScanner] /mnt/tmp/home/dev/spring/develop/base/springcontent.sdz checksum: 888720558/888720558
    [f=-000001] [ArchiveScanner] /mnt/tmp/home/dev/spring/develop/base/spring/bitmaps.sdz checksum: 2141392700/2141392700
    [f=-000001] [ArchiveScanner] archive checksum f4d49424baf960e015629ca6c5e7b6d6.sdp: -1686222244/2608745052
    [f=-000001] [ArchiveScanner] GetArchives: red_comet.sd7
    [f=-000001] [ArchiveScanner] /home/abma/.spring/maps/red_comet.sd7 checksum: -686509378/3608457918
    [f=-000001] [ArchiveScanner] /mnt/tmp/home/dev/spring/develop/base/maphelper.sdz checksum: 1799794791/1799794791
    [f=-000001] [ArchiveScanner] archive checksum red_comet.sd7: -1135476007/3159491289
    [f=-000001] [PreGame::StartServer] checksums: game=0x9B7E4A5C map=0xBC5202D9
    [f=-000001] Warning: [UDPListener::TryBindSocket] opening socket on loopback address, other users will not be able to connect!
    [f=-000001] [UDPListener::TryBindSocket] binding UDP socket to IPv4-address 127.0.0.1 (localhost) on port 8452
    [f=-000001] [UDPListener] successfully bound socket on port 8452
    [f=-000001] [VFS] [~CVFSHandler] #archives=1
    [f=-000001] [VFS] [VFSH::DeleteArchives]
    [f=-000001] [VFS] 	archive=/mnt/tmp/home/dev/spring/develop/base/springcontent.sdz (0x55bc855327f0)
    [f=-000001] [~ScopedOnceTimer][PreGame::StartServer] 396ms
    [f=-000001] [VFS] [~CVFSHandler] #archives=1
    [f=-000001] [VFS] [VFSH::DeleteArchives]
    [f=-000001] [VFS] 	archive=/mnt/tmp/home/dev/spring/develop/base/springcontent.sdz (0x55bc855c73c0)
    [f=-000001] [PreGame::AddGameSetupArchivesToVFS] using map: Red Comet
    [f=-000001] [ArchiveScanner] GetArchives: Red Comet
    [f=-000001] [ArchiveScanner] GetArchives: Balanced Annihilation test-7201-59a22de
    [f=-000001] [PreGame::AddGameSetupArchivesToVFS] using game: Balanced Annihilation test-7201-59a22de (archive: f4d49424baf960e015629ca6c5e7b6d6.sdp)
    [f=-000001] [ArchiveScanner] GetArchives: Red Comet
    [f=-000001] [ArchiveScanner] /home/abma/.spring/maps/red_comet.sd7 checksum: -686509378/3608457918
    [f=-000001] [ArchiveScanner] /mnt/tmp/home/dev/spring/develop/base/maphelper.sdz checksum: 1799794791/1799794791
    [f=-000001] [ArchiveScanner] archive checksum Red Comet: -1135476007/3159491289
    [f=-000001] [ArchiveScanner] GetArchives: f4d49424baf960e015629ca6c5e7b6d6.sdp
    [f=-000001] [ArchiveScanner] /home/abma/.spring/packages/f4d49424baf960e015629ca6c5e7b6d6.sdp checksum: -802846258/3492121038
    [f=-000001] [ArchiveScanner] /mnt/tmp/home/dev/spring/develop/base/springcontent.sdz checksum: 888720558/888720558
    [f=-000001] [ArchiveScanner] /mnt/tmp/home/dev/spring/develop/base/spring/bitmaps.sdz checksum: 2141392700/2141392700
    [f=-000001] [ArchiveScanner] archive checksum f4d49424baf960e015629ca6c5e7b6d6.sdp: -1686222244/2608745052
    [f=-000001] PreGame::GameDataReceived] recording demo to "/mnt/tmp/home/dev/spring/develop/demos/20170901_010739_Red Comet_103.0.1-1312-ge88fac04b develop.sdfz"
    [f=-000001] [~ScopedOnceTimer][PreGame::GameDataReceived] 121ms
    [f=-000001] [PreGame::UpdateClientNet] received user number 0 (team 0, allyteam 0), creating load-screen
    [f=-000001] [ArchiveScanner] GetArchives: Red Comet
    [f=-000001] [ArchiveScanner] /home/abma/.spring/maps/red_comet.sd7 checksum: -686509378/3608457918
    [f=-000001] [ArchiveScanner] /mnt/tmp/home/dev/spring/develop/base/maphelper.sdz checksum: 1799794791/1799794791
    [f=-000001] [ArchiveScanner] archive checksum Red Comet: -1135476007/3159491289
    [f=-000001] [ArchiveScanner] GetArchives: f4d49424baf960e015629ca6c5e7b6d6.sdp
    [f=-000001] [ArchiveScanner] /home/abma/.spring/packages/f4d49424baf960e015629ca6c5e7b6d6.sdp checksum: -802846258/3492121038
    [f=-000001] [ArchiveScanner] /mnt/tmp/home/dev/spring/develop/base/springcontent.sdz checksum: 888720558/888720558
    [f=-000001] [ArchiveScanner] /mnt/tmp/home/dev/spring/develop/base/spring/bitmaps.sdz checksum: 2141392700/2141392700
    [f=-000001] [ArchiveScanner] archive checksum f4d49424baf960e015629ca6c5e7b6d6.sdp: -1686222244/2608745052
    [f=-000001] [LuaIntro] Searching for new Widgets
    [f=-000001] [LuaIntro] Scanning: LuaIntro/Addons/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/Widgets/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/SystemAddons/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/SystemWidgets/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/chili/
    [f=-000001] [LuaIntro] Found new widget "SpringLogo"
    [f=-000001] [LuaIntro] Found new widget "LoadTexture"
    [f=-000001] [LuaIntro] Found new widget "LoadProgress"
    [f=-000001] [LuaIntro] Found new widget "Main"
    [f=-000001] [LuaIntro] Found new widget "Music"
    [f=-000001] [LuaIntro] Loading widgets   <>=vfs  **=raw  ()=unknown
    [f=-000001] [LuaIntro] Loading widget:      Engine Taskbar Stuff   <engine_taskbar_control.lua>
    [f=-000001] [LuaIntro] Loading widget:      LoadProgress           <loadprogress.lua>
    [f=-000001] [LuaIntro] Loading widget:      Main                   <main.lua>
    [f=-000001] [LuaIntro] Loading widget:      Music                  <music.lua>
    [f=-000001] [LuaIntro] Loading widget:      LoadTexture            <bg_texture.lua>
    [f=-000001] [LuaIntro] LuaIntro v1.0 (Lua 5.1)
    [f=-000001] [LoadScreen::Init] single-threaded
    [f=-000001] [WatchDog::RegisterThread] registering controls for thread [load]
    [f=-000001] [Game::LoadGame][1] globalQuit=0 threaded=0
    [f=-000001] Parsing Map Information
    [f=-000001] Loading SMF
    [f=-000001] Loading Map (38 MB)
    [f=-000001] Loading Radar Icons
    [f=-000001] Loading GameData Definitions
    [f=-000001] [unitdefs.lua] Error: removed the "cjuno" entry from the "armack" build menu
    [f=-000001] [unitdefs.lua] Error: removed the "cjuno" entry from the "armaca" build menu
    [f=-000001] [unitdefs.lua] Error: removed the "cjuno" entry from the "coracv" build menu
    [f=-000001] [unitdefs.lua] Error: removed the "cjuno" entry from the "coraca" build menu
    [f=-000001] [unitdefs.lua] Error: removed the "cjuno" entry from the "corack" build menu
    [f=-000001] [unitdefs.lua] Error: removed the "ajuno" entry from the "armacv" build menu
    [f=-000001] [defs.lua] loading all *Defs tables: 592ms
    [f=-000001] [~ScopedOnceTimer][Game::LoadDefs (GameData)] 643ms
    [f=-000001] Loading Sound Definitions
    [f=-000001] [Sound]  parsed 28 sounds from gamedata/sounds.lua
    [f=-000001] [~ScopedOnceTimer][Game::LoadDefs (Sound)] 3ms
    [f=-000001] [Game::LoadGame][2] globalQuit=0 forcedQuit=0
    [f=-000001] Creating Smooth Height Mesh
    [f=-000001] [~ScopedOnceTimer][SmoothHeightMesh::MakeSmoothMesh] 1074ms
    [f=-000001] Creating QuadField & CEGs
    [f=-000001] [CDamageArrayHandler] number of ArmorDefs: 15
    [f=-000001] [RegisterAssimpModelFormats] supported Assimp model formats: *.3ds;*.blend;*.dae;*.lwo;
    [f=-000001] Creating Unit Textures
    [f=-000001] Creating Sky
    [f=-000001] [Game::LoadGame][3] globalQuit=0 forcedQuit=0
    [f=-000001] Loading Weapon Definitions
    [f=-000001] [CrashHandler] Error: Aborted (SIGABRT) in spring 103.0.1-1312-ge88fac04b develop (Debug)
    [f=-000001] [CrashHandler] Error: Halted Stacktrace for Spring 103.0.1-1312-ge88fac04b develop (Debug) using libunwind:
    [f=-000001] [CrashHandler] Error: [00]                    /home/abma/dev/spring/develop/rts/System/Platform/Linux/CrashHandler.cpp:833  CrashHandler::HaltedStacktrace(std::__cxx11::basic_string<char, std::char_traits<char>, std::a [...]
    [f=-000001] [CrashHandler] Error: [01]                    /home/abma/dev/spring/develop/rts/System/Platform/Linux/CrashHandler.cpp:939  CrashHandler::HandleSignal(int, siginfo_t*, void*)
    [f=-000001] [CrashHandler] Error: [02]                                /lib/x86_64-linux-gnu/libpthread.so.0(+0x110c0) [0x7f44d7b8c0c0]  __restore_rt
    [f=-000001] [CrashHandler] Error: [03]   /build/glibc-p3Km7c/glibc-2.24/signal/../sysdeps/unix/sysv/linux/raise.c:51 (discriminator 3)  __GI_raise
    [f=-000001] [CrashHandler] Error: [04]                                                /build/glibc-p3Km7c/glibc-2.24/stdlib/abort.c:91  __GI_abort
    [f=-000001] [CrashHandler] Error: [05]                                               /build/glibc-p3Km7c/glibc-2.24/assert/assert.c:92  __assert_fail_base
    [f=-000001] [CrashHandler] Error: [06]                                      /lib/x86_64-linux-gnu/libc.so.6(+0x2bee2) [0x7f44d4396ee2]  __assert_fail
    [f=-000001] [CrashHandler] Error: [07]                                 /home/abma/dev/spring/develop/rts/Sim/Weapons/WeaponDef.cpp:568  WeaponDef::LoadSound(LuaTable const&, std::__cxx11::basic_string<char, std::char_traits<char>, [...]
    [f=-000001] [CrashHandler] Error: [08]               /home/abma/dev/spring/develop/rts/Sim/Weapons/WeaponDef.cpp:514 (discriminator 4)  WeaponDef::ParseWeaponSounds(LuaTable const&)
    [f=-000001] [CrashHandler] Error: [09]                                 /home/abma/dev/spring/develop/rts/Sim/Weapons/WeaponDef.cpp:502  WeaponDef::WeaponDef(LuaTable const&, std::__cxx11::basic_string<char, std::char_traits<char>, [...]
    [f=-000001] [CrashHandler] Error: [10]                                                      /usr/include/c++/6/ext/new_allocator.h:120  void __gnu_cxx::new_allocator<WeaponDef>::construct<WeaponDef, LuaTable const&, std::__cxx11:: [...]
    [f=-000001] [CrashHandler] Error: [11]                                                      /usr/include/c++/6/bits/alloc_traits.h:475  void std::allocator_traits<std::allocator<WeaponDef> >::construct<WeaponDef, LuaTable const&,  [...]
    [f=-000001] [CrashHandler] Error: [12]                                                           /usr/include/c++/6/bits/vector.tcc:98  void std::vector<WeaponDef, std::allocator<WeaponDef> >::emplace_back<LuaTable const&, std::__ [...]
    [f=-000001] [CrashHandler] Error: [13]                           /home/abma/dev/spring/develop/rts/Sim/Weapons/WeaponDefHandler.cpp:36  CWeaponDefHandler::CWeaponDefHandler(LuaParser*)
    [f=-000001] [CrashHandler] Error: [14]                           /home/abma/dev/spring/develop/rts/Game/Game.cpp:558 (discriminator 3)  CGame::PostLoadSimulation()
    [f=-000001] [CrashHandler] Error: [15]                                             /home/abma/dev/spring/develop/rts/Game/Game.cpp:413  CGame::LoadGame(std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char>  [...]
    [f=-000001] [CrashHandler] Error: [16]                                       /home/abma/dev/spring/develop/rts/Game/LoadScreen.cpp:184  CLoadScreen::Init()
    [f=-000001] [CrashHandler] Error: [17]                     /home/abma/dev/spring/develop/rts/Game/LoadScreen.cpp:209 (discriminator 2)  CLoadScreen::CreateInstance(std::__cxx11::basic_string<char, std::char_traits<char>, std::allo [...]
    [f=-000001] [CrashHandler] Error: [18]                        /home/abma/dev/spring/develop/rts/Game/PreGame.cpp:381 (discriminator 3)  CPreGame::UpdateClientNet()
    [f=-000001] [CrashHandler] Error: [19]                                          /home/abma/dev/spring/develop/rts/Game/PreGame.cpp:187  CPreGame::Update()
    [f=-000001] [CrashHandler] Error: [20]                    /home/abma/dev/spring/develop/rts/System/SpringApp.cpp:856 (discriminator 2)  SpringApp::Update()
    [f=-000001] [CrashHandler] Error: [21]                                      /home/abma/dev/spring/develop/rts/System/SpringApp.cpp:887  SpringApp::Run()
    [f=-000001] [CrashHandler] Error: [22]                                            /home/abma/dev/spring/develop/rts/System/Main.cpp:43  Run(int, char**)
    [f=-000001] [CrashHandler] Error: [23]                                            /home/abma/dev/spring/develop/rts/System/Main.cpp:92  main
    [f=-000001] [CrashHandler] Error: [24]                                      /build/glibc-p3Km7c/glibc-2.24/csu/../csu/libc-start.c:325  __libc_start_main
    [f=-000001] [CrashHandler] Error: [25]                                                          ./spring(_start+0x2a) [0x55bc39467dea]  _start
    [f=-000001] Error: [ErrorMessageBox] errorMsg="Spring has crashed:
    Aborted (SIGABRT).
    
    A stacktrace has been written to:
      /mnt/tmp/home/dev/spring/develop/infolog.txt" msgCaption="Spring crashed" mainThread=1
    
    txt file icon infolog.txt (20,480 bytes) 2017-09-01 01:03 +

-Relationships
+Relationships

-Notes

~0018320

Anonymous (viewer)

Fix c2f26f2e2d04638f9bbadb94ed2fd3edcc4e248b committed to develop branch: fix 0005737, repo: spring changeset id: 8659
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2017-09-01 01:03 abma New Issue
2017-09-01 01:03 abma File Added: infolog.txt
2017-09-01 01:46 Changeset attached => spring develop c2f26f2e
2017-09-01 01:46 Anonymous Note Added: 0018320
2017-09-01 01:48 Kloot Assigned To => Kloot
2017-09-01 01:48 Kloot Status new => resolved
2017-09-01 01:48 Kloot Resolution open => fixed
2017-09-01 01:48 Kloot Fixed in Version => 103.0 +git
+Issue History